
!packhdr tmp.dat "E:\prog\upx\upx -9 tmp.dat"

;SetCompressor ZLIB
SetCompressor LZMA
CRCCheck force
LicenseForceSelection checkbox
ShowInstDetails show
AllowSkipFiles off
SetOverwrite on



!define PRODUCT_NAME "OSCommerce Product Manager DEBUG VERSION"
!define PRODUCT_VERSION "0.1.1.652"
!define PRODUCT_PUBLISHER "Mario A. Valdez-Ramrez"
!define PRODUCT_WEB_SITE "http://www.mariovaldez.net/software/oscpmwin/"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\oscpm1.exe"

!include "MUI.nsh"
!define MUI_HEADERIMAGE
!define MUI_HEADERIMAGE_BITMAP "..\images\installhead.bmp"
!define MUI_WELCOMEFINISHPAGE_BITMAP "..\images\installstart.bmp"
!define MUI_COMPONENTSPAGE_CHECKBITMAP "${NSISDIR}\Contrib\Graphics\Checks\colorful.bmp"
!define MUI_ABORTWARNING
!define MUI_ICON "..\images\Applications.ico"
!define MUI_WELCOMEPAGE_TITLE_3LINES
!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_PAGE_LICENSE "..\docs\debug_license.txt"
!insertmacro MUI_PAGE_COMPONENTS
!insertmacro MUI_PAGE_DIRECTORY
!define MUI_STARTMENUPAGE_DISABLE
Page custom FinalNotesPage
!insertmacro MUI_PAGE_INSTFILES
!define MUI_FINISHPAGE_NOAUTOCLOSE
!define MUI_FINISHPAGE_TITLE_3LINES
!define MUI_FINISHPAGE_NOREBOOTSUPPORT
!insertmacro MUI_PAGE_FINISH
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "Spanish"
!insertmacro MUI_RESERVEFILE_LANGDLL
ReserveFile "finalnotes.ini"
!insertmacro MUI_RESERVEFILE_INSTALLOPTIONS

LangString TEXT_IO_TITLE ${LANG_ENGLISH} "Debug notes"
LangString TEXT_IO_TITLE ${LANG_SPANISH} "Notas de depuracin"
LangString TEXT_IO_SUBTITLE ${LANG_ENGLISH} "Read carefully these notes."
LangString TEXT_IO_SUBTITLE ${LANG_SPANISH} "Lea cuidadosamente estas notas."
LangString FinalNote ${LANG_ENGLISH} "This installation package require that you already have installed the OSCPMWin application. THIS IS NOT THE COMPLETE PACKAGE."
LangString FinalNote ${LANG_SPANISH} "Este paquete de instalacin requiere que Usted ya tenga instalada la aplicacin OSCPMWin. ESTE NO ES EL PAQUETE COMPLETO."
LangString DescSec1 ${LANG_ENGLISH} "Debug executable (required)"
LangString DescSec1 ${LANG_SPANISH} "Ejecutable de depuracin (requerido)"


Var HWND
Var DLGITEM
Var FONT

Function FinalNotesPage
  !insertmacro MUI_HEADER_TEXT "$(TEXT_IO_TITLE)" "$(TEXT_IO_SUBTITLE)"
  !insertmacro MUI_INSTALLOPTIONS_WRITE "finalnotes.ini" "Field 1" "Text" "$(TEXT_IO_SUBTITLE)"
  !insertmacro MUI_INSTALLOPTIONS_WRITE "finalnotes.ini" "Field 2" "State" "$(FinalNote)"
  !insertmacro MUI_INSTALLOPTIONS_INITDIALOG "finalnotes.ini"
  Pop $HWND
  GetDlgItem $DLGITEM $HWND 1201
  CreateFont $FONT "MS Shell Dlg" 10 700
  SendMessage $DLGITEM ${WM_SETFONT} $FONT 0
  GetDlgItem $DLGITEM $HWND 1200
  CreateFont $FONT "MS Shell Dlg" 10 700
  SendMessage $DLGITEM ${WM_SETFONT} $FONT 0
  !insertmacro MUI_INSTALLOPTIONS_SHOW
FunctionEnd



Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "oscpmwin_dbg_${PRODUCT_VERSION}.exe"
InstallDir "$PROGRAMFILES\oscpmwin"
ShowInstDetails show

VIProductVersion "${PRODUCT_VERSION}"
VIAddVersionKey "ProductName" "${PRODUCT_NAME} "
VIAddVersionKey "CompanyName" "${PRODUCT_PUBLISHER}"
VIAddVersionKey "LegalCopyright" " ${PRODUCT_PUBLISHER}"
VIAddVersionKey "FileDescription" "${PRODUCT_NAME}"
VIAddVersionKey "FileVersion" "${PRODUCT_VERSION}"
VIAddVersionKey "Comments" "${PRODUCT_WEB_SITE}"
VIAddVersionKey "ProductVersion" "${PRODUCT_VERSION}"
VIAddVersionKey "InternalName" "oscpmwin_dbg"
VIAddVersionKey "SpecialBuild" "DEBUG Release"




Section "!MainDebug" SEC01
  SectionIn RO
  SetOutPath "$INSTDIR"
  File "..\oscpm1.exe"
  File "..\docs\debug_license.txt"
SectionEnd



!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} "$(DescSec1)"
!insertmacro MUI_FUNCTION_DESCRIPTION_END


Function .onInit
  System::Call 'kernel32::CreateMutexA(i 0, i 0, t "oscpmwinsslmutex") i .r1 ?e'
  Pop $R0
  StrCmp $R0 0 +3
    MessageBox MB_OK "The ${PRODUCT_NAME} installer is already running."
    Abort
  !insertmacro MUI_LANGDLL_DISPLAY
  !insertmacro MUI_INSTALLOPTIONS_EXTRACT "finalnotes.ini"
FunctionEnd



